# $Revision: 1.5 $, $Date: 2011/02/24 19:13:28 $
# TODO:
# - javadocs?
# - tests?
# - split into subpackages?

%include	/usr/lib/rpm/macros.java

%define		srcname		slf4j
Summary:	Simple Logging Facade for Java
Name:		java-slf4j
Version:	1.6.1
Release:	1
License:	MIT
Group:		Libraries/Java
Source0:	http://www.slf4j.org/dist/slf4j-1.6.1.tar.gz
# Source0-md5:	289d4ce9b710269614e97f1ae6a27906
URL:		http://www.slf4j.org/
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Simple Logging Facade for Java or (SLF4J) serves as a simple
facade or abstraction for various logging frameworks, e.g.
java.util.logging, log4j and logback, allowing the end user to plug in
the desired logging framework at deployment time.

%prep
%setup -q -n %{srcname}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# jars
for j in *%{version}.jar; do
  n=$(basename $j -%{version}.jar)
  cp -a $j $RPM_BUILD_ROOT%{_javadir}/$n-%{version}.jar
  ln -s $n-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/$n.jar
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-slf4j.spec,v $
Revision 1.5  2011/02/24 19:13:28  pawelz
- up to 1.6.1
- do not try to build it from source

Revision 1.4  2010/04/23 00:03:41  pawelz
- Don't force specific jdk.

Revision 1.3  2009/09/21 22:26:09  pawelz
- adapterized

Revision 1.2  2009/09/21 22:25:37  pawelz
- builds and seems to work

Revision 1.1  2009/09/20 22:27:23  pawelz
- initial, NFY.

